Bug 131206 (Document_Field_Help) - [LOCALHELP] Document" (field) help page for Insert Field needs updating and better organization
Summary: [LOCALHELP] Document" (field) help page for Insert Field needs updating and ...
Status: NEW
Alias: Document_Field_Help
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.2.0
Keywords:
Depends on: 137236
Blocks: Help-Changes-Features Help-Link
  Show dependency treegraph
 
Reported: 2020-03-07 15:19 UTC by sdc.blanco
Modified: 2021-01-24 01:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows "before" and proposed "after" for top part of help page (75.91 KB, application/pdf)
2020-10-29 19:45 UTC, sdc.blanco
Details
revised text for beginning part (32.32 KB, image/png)
2020-10-29 22:51 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-03-07 15:19:18 UTC
See: https://help.libreoffice.org/7.0/en-US/text/swriter/01/04090001.html

1.  To access says:  Choose Insert - Field - More Fields - Document tab

2.  None of the "Insert - Field - More Fields" tabs have "Offset"

3.  This help page is shown when "Help" button is used in "Edit Fields" dialog.
The edit field dialog has an "Offset".

Probably the Help button link from Edit Fields needs to be changed to another help page, and the Offset information needs to be moved to that page.
Comment 1 sdc.blanco 2020-03-07 15:32:14 UTC
In 6.3.5.2 - the Help button for Edit Field goes to: 

https://help.libreoffice.org/6.3/en-US/text/swriter/01/04090300.html

which is probably closer to what 7.0 should use, where that page needs to have "Offset" information added.
Comment 2 Commit Notification 2020-10-21 11:16:48 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/3b3e99ad5c9f2ab17900064d7b3726096287ec82

Partially resolves: tdf#131206 update Document (field) help page
Comment 3 Commit Notification 2020-10-22 07:21:51 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/12cb3673bde51e09c6c50a0ded0df1e00a8f1d62

tdf#131206  - adjust "Offset" in Insert Document field help
Comment 4 Commit Notification 2020-10-22 08:21:45 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/6b4ae2c4dd2f1d40628886dca176ca1712cebd8f

Partially resolves: tdf#131206  - remove "Value" control from Insert Document field help page
Comment 5 Commit Notification 2020-10-26 20:08:23 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/f551d6b2ddcb319c162c7789ae65de4274b8d5d1

tdf#131206 improve explanation of Insert Document (Field) (wip)
Comment 6 sdc.blanco 2020-10-26 20:19:43 UTC
The relevant help page is:  https://help.libreoffice.org/7.1/en-US/text/swriter/01/04090001.html

Development Plan

Terminology

1. Treat *Field Type* as meaningful concept (in this context).  Gives simple way to refer to inserted fields that have LO-imposed limitations (without having to explain that).
    [Implication:  Can refer to ”field types” and ”types” in help page, but not ”fields”]

2. Select indicates what values (data) can be shown for a particular field type.
    [Implications:  refer to Select in terms of ”selecting data” or ”select what is displayed”, but avoid ”select a field”]

3.  Can ”insert a field”  (as the action being done in this dialog), where one can ”choose a field type” and ”select” (something), which are then ”inserted” as a field.

Design Idea for Page Organization
1.  Change header in second column in table under *Type*: ”Meaning” –> ”Select options”
2.  Cells under ”Select options”, should list all possibilities offered for given Type. 
3. (afterwards can probably drop most or all of the section under the table called ”Select”)
4. Problematic aspect:  Chapter, Filename Template  (see bug#137236 comment 8)
Comment 7 Commit Notification 2020-10-28 09:10:43 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/13b33e0bff785539fc858e1523cf68186531fd96

For tdf#131206: clarify explanation of "Level" in Insert Field (Document tab)
Comment 8 Commit Notification 2020-10-28 15:41:05 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c8a9ac72bc5e68f8a69490e3c157fe26b935f524

tdf#131206  update "Select" section in Insert Document field tab help
Comment 9 sdc.blanco 2020-10-29 19:45:44 UTC
Created attachment 166857 [details]
Shows "before" and proposed "after" for top part of help page

Attached shows proposed change.
These pieces are embedded into several other of the field help pages, so would have to decide whether this style should be on others (in particular DocInformation and Variable).
Comment 10 Commit Notification 2020-10-29 22:28:42 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/535ed65d68c14ae2b43c8f5fabbd7af574fe33c5

tdf#131206  remove irrelevant paragraph
Comment 11 sdc.blanco 2020-10-29 22:51:33 UTC
Created attachment 166861 [details]
revised text for beginning part

The PDF in the previous comment was meant primarily to show the basic layout.
The attached .png here revises the text that would be shown in the layout, and also changes the heading to the table and one of the table column labels.
Unless there are objections, this is the text that I will use.
Comment 12 Commit Notification 2021-01-11 13:26:26 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c412498d5a623090b6dab0a6a07ca71ac7bd3b7c

tdf#131206 update and correct Template fields in Insert dialog
Comment 13 sdc.blanco 2021-01-18 00:53:11 UTC
Unassigning myself.   Do not plan to work further with this bug.

Patch that realises plan shown in PDF in attachment  166857 [details] (comment 9) and also shown as screenshot in comment 11 is realised here: 

https://gerrit.libreoffice.org/c/help/+/108339

(imo) Beyond that patch -- two additional things remain to be done in

swriter/01/04090001.xhp

1.  Remove section id=”selectnote”  (lines 155-157), but this section is embedded in swriter/01/{04090003.xhp, 04090004.xhp, 04090005.xhp, 04090006.xhp}, so need to make another file to be the source (e.g., 04090003.xhp) and have the others point their embed to this new source (and remove the note from 04090001.xhp )

2. Review “format” <section> (lines 161-165)

  A.  This section is also embedded in:  04090003.xhp, 04090004.xhp, 04090005.xhp  and 04090300.xhp 
  B.  Need to check whether it makes sense to embed the paragraph from 04090001.xhp to these other files, and probably an opportunity to make a general review of the ”format” section in each of those files as well, to see if the embedding can be improved.

This URL gives an overview of relevant files:
https://opengrok.libreoffice.org/search?full=swriter%2F01%2F04090001.xhp&project=help
Comment 14 Commit Notification 2021-01-19 12:32:28 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/451244a261d46ba918ad7e2fcfb1cdce708cfe6b

tdf#131206 clarify how to insert document fields
Comment 15 Commit Notification 2021-01-21 13:38:40 UTC
Balaharipreetha Muthu committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/702f5ffa247d7ccc0b35b08eb5a7756e1e1867ed

tdf#131206 Comment 13 - 1.